Last Comment Bug 286338 - Remove admin options from footer in favor of a single link to Admin Options
: Remove admin options from footer in favor of a single link to Admin Options
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: User Interface (show other bugs)
: 2.19.2
: All All
: -- enhancement (vote)
: Bugzilla 3.2
Assigned To: Frédéric Buclin
: default-qa
:
Mentors:
: 324401 (view as bug list)
Depends on:
Blocks: 286342 473006
  Show dependency treegraph
 
Reported: 2005-03-15 17:07 PST by Jason Remillard
Modified: 2009-08-16 13:53 PDT (History)
7 users (show)
LpSolit: approval+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (15.95 KB, patch)
2007-04-04 19:59 PDT, Frédéric Buclin
no flags Details | Diff | Splinter Review
patch, v1.1 (16.45 KB, patch)
2007-04-05 06:35 PDT, Frédéric Buclin
justdave: review+
Details | Diff | Splinter Review

Description Jason Remillard 2005-03-15 17:07:07 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050223 Firefox/1.0.1
Build Identifier: 

Remove hardcore admin options from the footer. When people eval bugzilla, they
will install it, log in as admin, and play around with it. They will see 6 admin
options at the bottom of every page, and think that it is hard to use because
too much stuff is in the users face. Having hardcore admin feature available on
every page is like putting the ejection seat button next to the door handle. You
should have one link on the bottom to "Bugzilla Administation", and all of that
other stuff should be under that so that normal bugzilla use does not come near it.

Reproducible: Always
Comment 1 Rob Siklos [:robzilla] 2005-05-10 14:27:17 PDT
I think this is a great idea - there are way too many admin options now, and
none of them really need to be just one click away.
Comment 2 Frédéric Buclin 2005-11-17 07:24:17 PST
The trunk is now frozen to prepare Bugzilla 2.22. Enhancement bugs are retargetted to 2.24.
Comment 3 Frédéric Buclin 2006-01-23 03:46:37 PST
*** Bug 324401 has been marked as a duplicate of this bug. ***
Comment 4 Frédéric Buclin 2006-06-10 11:59:10 PDT
What's the status of this bug? I would like a real admin page from where you can do most common actions. For instance, editing the default assignee of a component requires by far too many steps (try yourself ;)).

Do some of you have some suggestions for the new UI?
Comment 5 Bill Barry 2006-07-22 14:16:42 PDT
Perhaps we should be looking at it from a different angle:
1: Rework the userprefs.cgi link to be prefs.cgi
2: In prefs page, have several tabs (smaller than the ones now)
   First Tab (not to scale): 
     *User preferences                                   *
     *---------------------------------------------------*
     *  +---------------------+ +---------------------+  *
     *  | Account Preferences | | General Preferences |  *
     *  |                     | |                     |  *
     *  | (the password ops   | |   (General ops go   |  *
     *  |     go here)        | |        here)        |  *
     *  +---------------------+ +---------------------+  *
     *                                                   *
     *  +---------------------------------------------+  *
     *  |  Email Prefs                                |  *
     *  |                                             |  *
     *  |                                             |  *
     *  |                                             |  *
     *  |                                             |  *
     *  +---------------------------------------------+  *
   The second tab:
     * Shareable Objects                                 *
     *---------------------------------------------------*
     *  +---------------------+ +---------------------+  *
     *  |   Saved Searches    | |  Stored Bug Macros  |  *
     *  |                     | |                     |  *
     *  |  (you get the idea) | |   (Bug 119734)      |  *
     *  +---------------------+ +---------------------+  *
   The third tab:
     * Administration                                    *
     *---------------------------------------------------*
     *  A suitable UI and workflow would need to be      *
     *    developed in order to make most/all admin ops  *
     *    fit within this single page.                   *
3: Remove the entire second row from the footer
4: Place a prefs link on the first row
5: At this point it might be better to change "prefs" to "settings"

The whole title "Shareable Objects" is an idea I have been thinking about (should probably be a new bug, I haven't found it yet in the system): 
Assuming the proper security settings:
User A should be able to view the saved objects of User B and use them as if they were his own (except User A would not be able to edit the objects belonging to User B).

Additionally, on the first tab, there should be a popup link somewhere that displays all the user's permissions.
  

I am (in an early stage of) creating some mockups of what I think should be done with various pages from a UI standpoint. They will be posted to relevant bugs (or new bugs, depending).
Comment 6 Frédéric Buclin 2006-10-19 12:12:10 PDT
This bug is retargetted to Bugzilla 3.2 for one of the following reasons:

- it has no assignee (except the default one)
- we don't expect someone to fix it in the next two weeks (i.e. before we freeze the trunk to prepare Bugzilla 3.0 RC1)
- it's not a blocker

If you are working on this bug and you think you will be able to submit a patch in the next two weeks, retarget this bug to 3.0.

If this bug is something you would like to see implemented in 3.0 but you are not a developer or you don't think you will be able to fix this bug yourself in the next two weeks, please *do not* retarget this bug.

If you think this bug should absolutely be fixed before we release 3.0, either ask on IRC or use the "blocking3.0 flag".
Comment 7 Max Kanat-Alexander 2006-10-19 12:22:00 PDT
There's actually a chance that I'll get to this even for 3.0, in the next few weeks. But I'll leave it targeted at 3.2 for now.

If somebody wants to take this bug from me, feel free to do so at any time.
Comment 8 Frédéric Buclin 2007-04-04 19:59:20 PDT
Created attachment 260673 [details] [diff] [review]
patch, v1
Comment 9 Frédéric Buclin 2007-04-05 06:35:39 PDT
Created attachment 260699 [details] [diff] [review]
patch, v1.1

I forgot to move one <span></span> inside <li></li>.
Comment 10 Dave Miller [:justdave] (justdave@bugzilla.org) 2007-04-05 10:35:10 PDT
Comment on attachment 260699 [details] [diff] [review]
patch, v1.1

/me likes
Comment 11 Frédéric Buclin 2007-04-05 11:18:38 PDT
RCS file: /cvsroot/mozilla/webtools/bugzilla/admin.cgi,v
done
Checking in admin.cgi;
/cvsroot/mozilla/webtools/bugzilla/admin.cgi,v  <--  admin.cgi
initial revision: 1.1
done
Checking in skins/standard/admin.css;
/cvsroot/mozilla/webtools/bugzilla/skins/standard/admin.css,v  <--  admin.css
new revision: 1.5; previous revision: 1.4
done
Checking in skins/standard/global.css;
/cvsroot/mozilla/webtools/bugzilla/skins/standard/global.css,v  <--  global.css
new revision: 1.34; previous revision: 1.33
done
Checking in template/en/default/filterexceptions.pl;
/cvsroot/mozilla/webtools/bugzilla/template/en/default/filterexceptions.pl,v  <--  filterexceptions.pl
new revision: 1.98; previous revision: 1.97
done
RCS file: /cvsroot/mozilla/webtools/bugzilla/template/en/default/admin/admin.html.tmpl,v
done
Checking in template/en/default/admin/admin.html.tmpl;
/cvsroot/mozilla/webtools/bugzilla/template/en/default/admin/admin.html.tmpl,v  <--  admin.html.tmpl
initial revision: 1.1
done
Checking in template/en/default/global/common-links.html.tmpl;
/cvsroot/mozilla/webtools/bugzilla/template/en/default/global/common-links.html.tmpl,v  <--  common-links.html.tmpl
new revision: 1.8; previous revision: 1.7
done
Checking in template/en/default/global/useful-links.html.tmpl;
/cvsroot/mozilla/webtools/bugzilla/template/en/default/global/useful-links.html.tmpl,v  <--  useful-links.html.tmpl
new revision: 1.57; previous revision: 1.56
done
Checking in template/en/default/global/user-error.html.tmpl;
/cvsroot/mozilla/webtools/bugzilla/template/en/default/global/user-error.html.tmpl,v  <--  user-error.html.tmpl
new revision: 1.207; previous revision: 1.206
done
Comment 12 Max Kanat-Alexander 2008-07-01 00:07:23 PDT
Added to the release notes for Bugzilla 3.2 in a patch on bug 432331.

Note You need to log in before you can comment on or make changes to this bug.